<?php


function URL_INIT() {
	$zasobID = V::get('ZASOB_ID', 0, $_GET, 'int');
	if ($zasobID <= 0) {
		echo 'Wrong param ZASOB_ID';
		return;
	}

	$zasobObj = null;
	$db = DB::getDB();
	$sql = "select z.`ID`, z.`DESC`, z.`OPIS`
		from `CRM_LISTA_ZASOBOW` as z
		where z.`ID`='{$zasobID}'
			and z.`TYPE`='URL'
	";
	$res = $db->query($sql);
	if ($res) {
		$zasobObj = $db->fetch($res);
	}

	if (!$zasobObj) {
		echo "Zasob URL ID={$zasobID} nie istnieje";
		return;
	}

	echo'<pre style="max-height:200px;overflow:auto;border:1px solid red;text-align:left;display:none">zasobObj (F.' . __FUNCTION__ . ':' . __LINE__ . '): ';print_r($zasobObj);echo'</pre>';
	?>

	<script type="text/javascript">
		var t=setTimeout(function(){
			window.location.href='<?php echo $zasobObj->DESC; ?>';
		},1000)
	</script>
	<noscript>
		<meta http-equiv="refresh" content="0;url='<?php echo $zasobObj->DESC; ?>" />
	</noscript>
	<p>Za chwilę zostaniesz przekierowany na <a href="<?php echo $zasobObj->DESC; ?>"><?php echo $zasobObj->OPIS; ?></a></p>

	<hr />
	<a href="javascript: window.close();">Zamknij okno</a>
	<?php
	SE_Layout::dol();
	exit;
}
